/*
	Suddividere un db in filegroup permette di ripristinare dei fg prima di altri
*/

USE master;
GO

DROP DATABASE CDays;
GO

--Il PRIMARY deve essere il primo fg che viene ripristinato
RESTORE DATABASE CDays FILEGROUP = 'Primary', FILEGROUP = 'Dati1' FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH PARTIAL, NORECOVERY;
GO

RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH NORECOVERY, FILE = 2;
GO

RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH NORECOVERY, FILE = 3;
GO

RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH RECOVERY, FILE = 4;
GO

USE CDays;
GO

SELECT * FROM dbo.Speaker;
GO

--Ripristiniamo anche gli altri 2 filegroup

USE master;
GO

RESTORE DATABASE CDays FILEGROUP = 'Dati2', FILEGROUP = 'Dati3' FROM DISK = '\\W2K12\Backup\CDays.bak' WITH NORECOVERY;
GO

RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH NORECOVERY, FILE = 2;
GO

RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH NORECOVERY, FILE = 3;
GO

RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak'
	WITH RECOVERY, FILE = 4;
GO

USE CDays;
GO

SELECT * FROM dbo.Speaker;
SELECT * FROM dbo.Sessioni;
GO
