/*
	Eliminazione dei database se presenti
*/

USE master;
GO

IF EXISTS (SELECT * FROM sys.databases WHERE name = 'CDays')
	ALTER DATABASE CDays SET READ_ONLY WITH ROLLBACK IMMEDIATE;
GO

IF EXISTS (SELECT * FROM sys.databases WHERE name = 'CDays')
	DROP DATABASE CDays;
GO

IF EXISTS (SELECT * FROM sys.databases WHERE name = 'CDays_FromMirror')
	ALTER DATABASE CDays_FromMirror SET READ_ONLY WITH ROLLBACK IMMEDIATE;
GO

IF EXISTS (SELECT * FROM sys.databases WHERE name = 'CDays_FromMirror')
	DROP DATABASE CDays_FromMirror;
GO

IF EXISTS (SELECT * FROM sys.databases WHERE name = 'CDays_FromStripe')
	ALTER DATABASE CDays_FromStripe SET READ_ONLY WITH ROLLBACK IMMEDIATE;
GO

IF EXISTS (SELECT * FROM sys.databases WHERE name = 'CDays_FromStripe')
	DROP DATABASE CDays_FromStripe;
GO

