/*
	Database CDays
	6 file dati in 3 filegroup + 1 primary + 1 tlog
*/

USE master;
GO

CREATE DATABASE CDays ON PRIMARY 
( NAME = N'CDays', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays.mdf' , 
	SIZE = 20MB , 
	FILEGROWTH = 10MB ), 
 FILEGROUP Dati1
( NAME = N'CDays_A', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_A.ndf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB ), 
( NAME = N'CDays_B', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_B.ndf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB ), 
 FILEGROUP Dati2
( NAME = N'CDays_C', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_C.ndf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB ),
( NAME = N'CDays_D', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_D.ndf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB ),
 FILEGROUP Dati3
( NAME = N'CDays_E', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_E.ndf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB ),
( NAME = N'CDays_F', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_F.ndf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB )
 LOG ON 
( NAME = N'CDays_log', 
	FILENAME = N'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_log.ldf' , 
	SIZE = 100MB , 
	FILEGROWTH = 100MB )
GO

ALTER DATABASE CDays SET RECOVERY FULL 
GO

ALTER DATABASE CDays MODIFY FILEGROUP Dati1 DEFAULT
GO

BACKUP DATABASE CDays TO DISK = '\\W2K12\Backup\CDays.bak' WITH INIT, CHECKSUM, COMPRESSION;
GO
