/*
	Iniziamo ad inserire dei dati
	2 tabelle definite su 2 fg differenti
	1 indice sul 3 fg
*/

USE CDays;
GO

CREATE TABLE dbo.Speaker
(
	ID int identity (1,1) not null,
	Nome varchar (30) not null,
	Cognome varchar (30) not null
) ON Dati1;
GO

CREATE NONCLUSTERED INDEX ix_Speaker ON dbo.Speaker (ID) ON Dati2;
GO

CREATE TABLE dbo.Sessioni
(
	ID int identity (1,1) not null,
	Titolo varchar (60) not null
) ON Dati3;
GO

BACKUP LOG CDays TO DISK = '\\W2K12\Backup\CDays.bak';
GO

-- Dopo il backup inseriamo ancora dei dati
INSERT dbo.Speaker VALUES ('Luca', 'Bianchi')
							, ('Lara', 'Bianchi')
							, ('Sergio', 'Govoni')
							, ('Daniele', 'Bochicchio')
GO

INSERT dbo.Sessioni VALUES ('Disaster Recovery con SQL Server')
							, ('SQL Server 2011 - Denali')
							, ('Analisys Services Internals')
							, ('Keynote')
GO

-- Simulazione danno: Eliminazione di un file 
-- L'ultimo backup  precedente all'inserimento dei dati
